// global
$enable-rounded: false;
$enable-shadows: false;

// colors
$gray-800: #343a40 !default;

$blue:    #007bff !default;
$indigo:  #6610f2 !default;
$purple:  #6f42c1 !default;
$pink:    #e83e8c !default;
$red:     #dc3545 !default;
$orange:  #fd7e14 !default;
$yellow:  #ffc107 !default;
$green:   #28a745 !default;
$teal:    #20c997 !default;
$cyan:    #17a2b8 !default;

$primary: #C5827A;
$primary-light: #F5E1DD;
$secondary: #364140;
$success: $green;
$info: $cyan;
$warning: $yellow;
$danger: $red;
$light: #fff;
$dark: $gray-800;

$body-color: #364140;
$color-contrast-light: #fff;

$default: if(variable-exists("secondary"), $secondary, $gray-300);

$theme-colors: () !default;
$theme-colors: map-merge(
  (
    // default needs to be 1st so that .btn-default comes before .btn-primary
    // & therefore has lower priority.
    "default":    $default,
    "primary":    $primary,
    "primary-light": $primary-light,
    "secondary":  $secondary,
    "success":    $success,
    "info":       $info,
    "warning":    $warning,
    "danger":     $danger,
    "light":      $light,
    "dark":       $dark
  ),
  $theme-colors
);

// spacing
$spacer: 0.25rem;
$spacers: (
  0: 0,
  half: $spacer / 2,
  1: $spacer,
  2: $spacer * 2,
  3: $spacer * 3,
  4: $spacer * 4,
  5: $spacer * 5,
  6: $spacer * 6,
  7: $spacer * 7,
  8: $spacer * 8,
  9: $spacer * 9,
  10: $spacer * 10,
  11: $spacer * 11,
  12: $spacer * 12,
  14: $spacer * 14,
  15: $spacer * 15,
  16: $spacer * 16,
  17: $spacer * 17,
  18: $spacer * 18,
  20: $spacer * 20,
  21: $spacer * 21,
  22: $spacer * 22,
  23: $spacer * 23,
  24: $spacer * 24,
  25: $spacer * 25,
  26: $spacer * 26,
  27: $spacer * 27,
  28: $spacer * 28,
  29: $spacer * 29,
  30: $spacer * 30,
  31: $spacer * 31,
  32: $spacer * 32,
  33: $spacer * 33,
  34: $spacer * 34,
  36: $spacer * 36,
  37: $spacer * 37,
  38: $spacer * 38,
  40: $spacer * 40,
  42: $spacer * 42,
  43: $spacer * 43,
  44: $spacer * 44,
  46: $spacer * 46,
  50: $spacer * 50,
  58: $spacer * 58,
  83: $spacer * 83
);

// container
$container-max-widths: (
  sm: 540px,
  md: 720px,
  lg: 960px,
  xl: 1140px,
  xxl: 1367px
);

$grid-gutter-width: 2rem; //32px

// Paragraphs
$paragraph-margin-bottom: 1.5rem; //24px

// borders
$border-color: #E8E8E8;
$border-color-dark: #212529;
  // radius
$border-radius-sm: 0.25rem; //4px
$border-radius: 0.375rem; //6px
$border-radius-lg: 0.5rem; //8px

//box shadows
$box-shadow: 0px 8px 16px 0px #92929233;
$box-shadow-inset: inset 0 -1px 0 #E3E3E3;

// font styles
// used sizes: 12, 14, 16, 18, 20, 24, 32, 40, 48, 56, 64, 80
$font-family-sans-serif: 'Roboto Condensed', sans-serif;

$font-size-base: 1rem; //16px
$font-size-sm: $font-size-base * 0.75; // 12px
$font-size-lg: $font-size-base * 1.125; // 18px

$h1-font-size: $font-size-base * 2;      // 32px
$h2-font-size: $font-size-base * 1.5;    // 24px
$h3-font-size: $font-size-base * 1.25;   // 20px
$h4-font-size: $font-size-base * 1.125;  // 18px
$h5-font-size: $font-size-base;          // 16px
$h6-font-size: $font-size-base * 0.875;  // 14px

$headings-font-weight: 400;
$headings-margin-bottom: $spacer * 4;

$display1-size: 5rem;   // 80px
$display2-size: 4rem;   // 64px
$display3-size: 3.5rem; // 56px
$display4-size: 3rem;   // 48px
$display5-size: 2.5rem; // 40px
$display6-size: 1.75rem; // 28px

$lead-font-size: $font-size-base * 1.125; // 18px
$lead-font-weight: normal;

$small-font-size: $font-size-base * 0.75; // 12px

$text-muted: #777;

// Buttons + Forms
  // sm: h: 56px, p: 16px 24px, fs: 16px
  // md: h: 64px, p: 18px 24px, fs: 18px
  // lg: h: 78px, p: 24px 74px, fs: 20px

  // md
$input-btn-padding-y: 1.156rem; // 18.5px
$input-btn-padding-x: 1.5rem; // 24px
$input-btn-font-size: 1.125rem; // 18px
  // sm
$input-btn-padding-y-sm: 1rem; // 16px
$input-btn-padding-x-sm: 1.5rem; // 24px
$input-btn-font-size-sm: 1rem; // 16px
  // lg
$input-btn-padding-y-lg: 1.5rem; // 24px
$input-btn-padding-x-lg: 4.625rem;  // 74px
$input-btn-font-size-lg: 1.25rem; // 20px

$input-btn-border-width: 0;

// buttons
$btn-font-weight: bold;

$btn-border-radius: 0;
$btn-border-radius-sm: 0;
$btn-border-radius-lg: 0;

//input
$input-padding-y: 0.875rem;
$input-padding-x: 1rem;
$input-font-size: 1rem;
$input-line-height: 1.75;

$input-border-width: 1px;
$input-border-color: #E4E4E4;
$input-border-radius: 0;

$input-placeholder-color: #B8B8B8;

//forms
$form-grid-gutter-width: 8px;

//card
$card-border-radius: $border-radius;
$card-border-color: #E9ECEF;

//alert
$alert-padding-y: 1.125rem;
$alert-padding-x: 1rem;
$alert-margin-bottom: 3rem;
$alert-border-radius: $border-radius-lg;
$alert-border-width: 0;
$alert-bg-level: -11;

// Breadcrumbs
$breadcrumb-font-size: 0.813rem;
$breadcrumb-padding-y: 1rem;
$breadcrumb-padding-x: 0;
$breadcrumb-item-padding-y: .5rem;
$breadcrumb-item-padding-x: .25rem;
$breadcrumb-margin-bottom: 0;
$breadcrumb-bg: transparent;
$breadcrumb-divider-color: #CED4DA;
$breadcrumb-active-color: #212529;

//carousel
$carousel-control-color: $dark;
$carousel-control-opacity: 1;
$carousel-control-hover-opacity: 1;
$carousel-control-icon-width: 16px;

// override bootstrap above
@import "../node_modules/bootstrap/scss/bootstrap";
// custom styles below

* {
  scroll-behavior: smooth;

  &::selection {
    background-color: $primary;
    color: $light;
  }
}

//components
@import './component/button';
@import './component/form-components';
@import './component/list';
@import './component/product-box';
@import './component/gift-box';
@import './component/slider';
@import './component/alert';
@import './component/breadcrumb';
@import './component/navigation';
@import './component/blog-box';
@import './component/gallery-slider';
@import './component/accordion';
@import './component/cart-item';

//layouts
@import './layout/header';
@import './layout/footer';
@import './layout/instagram-section';
@import './layout/newsletter';

//pages(specific styles)
@import './page/homepage';
@import './page/faq';
@import './page/terms';
@import './page/what-is-healthven';
@import './page/healthven-box';
@import './page/contact';
@import './page/about-us';
@import './page/blogs';
@import './page/blog-single';
@import './page/blogs-by-tag';
@import './page/healthven-box-detail';
@import './page/gift-box-detail';
@import './page/products';
@import './page/products-category';
@import './page/cart';
@import './page/confirm';
@import './page/finish';
